package com.example.myapplication.slide

import android.view.animation.OvershootInterpolator
import androidx.compose.animation.core.tween
import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.res.imageResource
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.myapplication.R
import kotlinx.coroutines.delay

@Composable

fun three(navController: NavHostController) {
    val scale = remember {
        androidx.compose.animation.core.Animatable(0f)
    }
    LaunchedEffect(key1 = true) {
        scale.animateTo(
            targetValue = 1f,
            animationSpec = tween(
                durationMillis = 1500,
                easing = {
                    OvershootInterpolator(4f).getInterpolation(it)
                })
        )
        delay(1500L)
        navController.navigate("1")

    }

    Box (
        contentAlignment = Alignment.TopStart
    ) {
        Row(modifier = Modifier.fillMaxWidth(), horizontalArrangement = Arrangement.SpaceBetween)
        {
            Button(
                onClick = { navController.navigate("LogInScreen") },
                colors = ButtonDefaults.buttonColors(Color(0xFFFFFFFF)),
            ) {
                Text("Пропустить", fontSize = 20.sp, color = Color(0xFF1A6FEE))
            }
            Box (
                contentAlignment = Alignment.BottomEnd
            ){
                Image(
                    bitmap = ImageBitmap.imageResource(R.drawable.plus2),
                    contentDescription = "плюс",
                    Modifier.size(167.dp)
                )
            }

        }
    }
    Column(modifier = Modifier.padding(top = 290.dp))
    {
        Text("Мониторинг", fontSize = 20.sp, color = Color(0, 183, 18), modifier = Modifier.align(Alignment.CenterHorizontally))
            Text(
                "Наши врачи всегда наблюдают",
                fontSize = 14.sp,
                color = Color(147, 147, 150),
                modifier = Modifier.align(Alignment.CenterHorizontally).padding(top = 41.dp)
            )
        Text(
            "за вашими показателями здоровья",
            fontSize = 14.sp,
            color = Color(147, 147, 150),
            modifier = Modifier.align(Alignment.CenterHorizontally)
        )
        }
    Box(modifier = Modifier.padding(top = 470.dp), contentAlignment = Alignment.Center) {
        Image(
            bitmap = ImageBitmap.imageResource(R.drawable.girl),
            contentDescription = "Третий скрин",
            modifier = Modifier.size(width = 359.dp, height = 269.dp)
        )
    }
    Box(modifier = Modifier.padding(top = 100.dp), contentAlignment = Alignment.Center) {
        Image(
            bitmap = ImageBitmap.imageResource(R.drawable.tritochki),
            contentDescription = "три точки",
            modifier = Modifier.size(70.dp)

        )
    }
}