package com.example.myapplication.slide

import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.foundation.text.KeyboardOptions
import androidx.compose.material3.OutlinedTextField
import androidx.compose.ui.text.TextStyle
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.text.input.KeyboardType

@Composable
fun Code(navController: NavHostController){
    val message = remember { mutableStateOf("")}
Row(){
    Button(
        onClick = { navController.navigate("Password") },
        colors = ButtonDefaults.buttonColors(Color(0xFFFFFFFF)),
        modifier = Modifier
            .padding(top = 10.dp, bottom = 20.dp, start = 0.dp)
    ) {
        Text("Пропустить", fontSize = 20.sp, color = Color(0xFF1A6FEE))
    }
}

    Column{
        Text(
            text = "Введите код из E-mail", fontSize = 24.sp, color = Color(0xFF000000 ), fontWeight = FontWeight.Bold,
            modifier = Modifier
                .align(Alignment.CenterHorizontally)
                .padding(top = 250.dp)
        )
        Row(modifier = Modifier
            .padding(top = 10.dp, start = 68.dp, end = 68.dp)
            .fillMaxSize(1f), horizontalArrangement = Arrangement.SpaceBetween) {
            OutlinedTextField(
                value = message.value,
                textStyle = TextStyle(fontSize = 15.sp),
                keyboardOptions = KeyboardOptions.Default.copy(keyboardType = KeyboardType.Number),
                shape = RoundedCornerShape(20.dp),
                onValueChange = {newText -> message.value = newText },
                modifier = Modifier.size(48.dp)
            )
            OutlinedTextField(
                value = message.value,
                textStyle = TextStyle(fontSize = 15.sp),
                keyboardOptions = KeyboardOptions.Default.copy(keyboardType = KeyboardType.Number),
                shape = RoundedCornerShape(20.dp),
                onValueChange = { newText -> message.value = newText },
                modifier = Modifier.size(48.dp)
            )
            OutlinedTextField(
                value = message.value,
                textStyle = TextStyle(fontSize = 15.sp),
                keyboardOptions = KeyboardOptions.Default.copy(keyboardType = KeyboardType.Number),
                shape = RoundedCornerShape(20.dp),
                onValueChange = { newText -> message.value = newText },
                modifier = Modifier.size(48.dp)
            )
            OutlinedTextField(
                value = message.value,
                textStyle = TextStyle(fontSize = 15.sp),
                keyboardOptions = KeyboardOptions.Default.copy(keyboardType = KeyboardType.Number),
                shape = RoundedCornerShape(20.dp),
                onValueChange = { newText -> message.value = newText },
                modifier = Modifier.size(48.dp)
            )
        }

    }
    Box(
        contentAlignment = Alignment.Center
    ) {
        Text(
            text = "Отправить код повторно можно", fontSize = 15.sp, color = Color(
                0xFF818181
            ), fontWeight = FontWeight.Bold,
        )
        Text(
        text = "будет через 1 минуту", fontSize = 15.sp, color = Color(
        0xFF818181
        ), fontWeight = FontWeight.Bold,
            modifier = Modifier.padding(top = 30.dp)
        )
    }

}
