package com.example.myapplication.slide

import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.OutlinedTextField
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController

@Composable
fun karta(navController: NavHostController) {
    val message = remember { mutableStateOf("") }
    Box(
        contentAlignment = Alignment.TopEnd
    ) {
        Row(
        ) {
            Button(
                onClick = { },
                colors = ButtonDefaults.buttonColors(Color(0xFFFFFFFF)),
            ) {
                Text("Пропустить", fontSize = 20.sp, color = Color(0xFF1A6FEE))
            }
        }
    }
    Box(
        contentAlignment = Alignment.TopStart, modifier = Modifier.padding(start = 10.dp)
    ) {
        Column(
        ) {
            Text("Создание карты", fontSize = 24.sp, fontWeight = FontWeight.Bold, color = Color(0, 0, 0))
            Text("Пациента", fontSize = 24.sp, fontWeight = FontWeight.Bold, color = Color(0, 0, 0))
            }
        }

    Column( modifier = Modifier.padding(top = 70.dp, start = 10.dp)){
        Text(
            text = "Без карты пациента вы не сможете заказать анализы.",
            fontSize = 14.sp,
            color = Color(0xFF939396),
            modifier = Modifier.padding(top = 0.dp, bottom = 0.dp, end = 0.dp)
        )
        Text(
            text = "В картах пациентов будут храниться результаты анализов вас и ваших близких.",
            fontSize = 14.sp,
            color = Color(0xFF939396),
            modifier = Modifier.padding(top = 10.dp, bottom = 0.dp, end = 0.dp)
        )
    }
    Column (
        modifier = Modifier.padding(top = 160.dp, start = 10.dp, end = 10.dp)
    ){

        OutlinedTextField(
            value = message.value,
            textStyle = TextStyle(fontSize=15.sp),
            onValueChange = {newText -> message.value = newText},
            modifier = Modifier
                .padding(top = 0.dp, bottom = 40.dp)
                .fillMaxWidth(),
            shape = RoundedCornerShape(10.dp),
            placeholder = { Text("Имя") }
        )
        OutlinedTextField(

            value = message.value,
            textStyle = TextStyle(fontSize=15.sp),
            onValueChange = {newText -> message.value = newText},
            shape = RoundedCornerShape(10.dp),
            modifier = Modifier
                .padding(top = 0.dp, bottom = 40.dp)
                .fillMaxWidth(),
            placeholder = { Text("Отчество") }
        )
        OutlinedTextField(

            value = message.value,
            textStyle = TextStyle(fontSize=15.sp),
            onValueChange = {newText -> message.value = newText},
            shape = RoundedCornerShape(10.dp),
            modifier = Modifier
                .padding(top = 0.dp, bottom = 40.dp)
                .fillMaxWidth(),
            placeholder = { Text("Фамилия") }
        )
        OutlinedTextField(

            value = message.value,
            textStyle = TextStyle(fontSize=15.sp),
            onValueChange = {newText -> message.value = newText},
            shape = RoundedCornerShape(10.dp),
            modifier = Modifier
                .padding(top = 0.dp, bottom = 40.dp)
                .fillMaxWidth(),
            placeholder = { Text("Дата рождения") }
        )
        OutlinedTextField(

            value = message.value,
            textStyle = TextStyle(fontSize=15.sp),
            onValueChange = {newText -> message.value = newText},
            shape = RoundedCornerShape(10.dp),
            modifier = Modifier
                .padding(top = 0.dp, bottom = 40.dp)
                .fillMaxWidth(),
            placeholder = { Text("пол") }
        )

    }
    Column (
        modifier = Modifier.padding(top = 0.dp, bottom = 20.dp, start = 15.dp, end = 15.dp)
    ){

        Button(onClick = { },
            colors = ButtonDefaults.buttonColors(Color(0xFF1A6FEE)),
            modifier = Modifier
                .padding(top = 650.dp, bottom = 20.dp)
                .fillMaxWidth()
                .height(60.dp),
            shape = RoundedCornerShape(10.dp)) {
            Text("Создать", fontSize = 20.sp, color = Color(0xFFFFFFFF))
        }
    }
}
