package com.example.myapplication.slide
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.OutlinedTextField
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.saveable.rememberSaveable
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController

@Composable
fun LogIn(navHost: NavHostController){
    var email: String by rememberSaveable { mutableStateOf("") }
    val message = remember { mutableStateOf("")}
    Column (modifier = Modifier.fillMaxSize(1f)) {
        Text(
            text = "\uD83D\uDD90 Добро пожаловать!", fontSize =30.sp, color = Color(0xFF000000),
            modifier = Modifier.padding(top = 100.dp, bottom = 20.dp, start = 15.dp),
        )
        Text(
            text = "Войдите, чтобы пользоваться функциями приложения", fontSize =20.sp, color = Color(0xFF000000),
            modifier = Modifier.padding(top = 0.dp, bottom = 60.dp, start = 15.dp)
        )
        Column (
            modifier = Modifier.padding(top = 0.dp, bottom = 180.dp, start = 15.dp, end = 15.dp)
        ){
            Text(
                text = "Вход по E-mail:", fontSize =15.sp, color = Color(0xFF000000),
                modifier = Modifier.padding(top = 0.dp, bottom = 20.dp)
            )
            OutlinedTextField(

                value = message.value,
                textStyle = TextStyle(fontSize=15.sp),
                onValueChange = {newText -> message.value = newText},
                modifier = Modifier
                    .padding(top = 0.dp, bottom = 40.dp)
                    .fillMaxWidth(),
                placeholder = { Text("example@mail.ru") }
            )

            Button(onClick = { navHost.navigate("Code") },
                colors = ButtonDefaults.buttonColors(Color(0xFF1A6FEE)),
                modifier = Modifier
                    .padding(top = 0.dp, bottom = 20.dp)
                    .fillMaxWidth()
                    .height(60.dp),
                shape = RoundedCornerShape(10.dp)
            ) {
                Text("Далее", fontSize = 20.sp)
            }
        }
        Column (Modifier.align(Alignment.CenterHorizontally)
        ){
            Text(
                text = "Или войдите с помощью", fontSize =15.sp, color = Color(0xFF939396),
                modifier = Modifier.align(Alignment.CenterHorizontally))
                Text("Войти с Яндекс", fontSize = 20.sp, color = Color(0xFF000000),
                modifier = Modifier.padding(bottom = 30.dp).align(Alignment.CenterHorizontally)
                )
            }
        }
    }