package com.example.myapplication.slide

import androidx.compose.foundation.Image
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.res.imageResource
import com.example.myapplication.R

@Composable
fun Password(navController: NavHostController) {
    val message = remember { mutableStateOf("") }
    Box(
        contentAlignment = Alignment.TopEnd
    )
    {
        Row() {
            Button(
                onClick = { navController.navigate("Karta") },
                colors = ButtonDefaults.buttonColors(Color(0xFFFFFFFF)),
            ) {
                Text("Пропустить", fontSize = 20.sp, color = Color(0xFF1A6FEE))
            }
        }
    }
    Box(
        contentAlignment = Alignment.TopCenter, modifier = Modifier.padding(top = 200.dp)
    ) {
        Row(
            modifier = Modifier.fillMaxSize(0.2f),
            horizontalArrangement = Arrangement.SpaceBetween
        )
        {
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.krijok),
                contentDescription = "Кружок пароля",
                modifier = Modifier.size(15.dp)
            )
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.krijok),
                contentDescription = "Кружок пароля",
                modifier = Modifier.size(15.dp)
            )
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.krijok),
                contentDescription = "Кружок пароля",
                modifier = Modifier.size(15.dp)
            )
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.krijok),
                contentDescription = "Кружок пароля",
                modifier = Modifier.size(15.dp)
            )
        }
    }
    Column() {
        Text(
            text = "Создайте пароль",
            fontSize = 24.sp,
            //fontWeight = 700.sp,
            color = Color(0xFF000000),
            fontWeight = FontWeight.Bold,
            modifier = Modifier
                .padding(top = 100.dp)
                .align(Alignment.CenterHorizontally)
        )
        Text(
            text = "Для защиты ваших персональных данных",
            fontSize = 15.sp,
            //fontWeight = 700.sp,
            color = Color(0xFF939396),
            modifier = Modifier
                .padding(top = 10.dp)
                .align(Alignment.CenterHorizontally)
        )

    }
    Column() {
        Box(
            modifier = Modifier
                .padding(top = 250.dp, start = 50.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("1", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
        Box(
            modifier = Modifier
                .padding(top = 20.dp, start = 50.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("4", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
        Box(
            modifier = Modifier
                .padding(top = 20.dp, start = 50.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("7", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
    }
    Column() {
        Box(
            modifier = Modifier
                .padding(top = 250.dp, start = 150.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("2", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
        Box(
            modifier = Modifier
                .padding(top = 20.dp, start = 150.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("5", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
        Box(
            modifier = Modifier
                .padding(top = 20.dp, start = 150.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("8", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
        Box(
            modifier = Modifier
                .padding(top = 20.dp, start = 150.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("0", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
    }
    Column() {
        Box(
            modifier = Modifier
                .padding(top = 250.dp, start = 250.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("3", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
        Box(
            modifier = Modifier
                .padding(top = 20.dp, start = 250.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("6", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
        Box(
            modifier = Modifier
                .padding(top = 20.dp, start = 250.dp)
                .align(Alignment.Start)
        ) {
            Button(
                onClick = { /*TODO*/ },
                colors = ButtonDefaults.buttonColors(Color(26, 111, 238)),
                shape = RoundedCornerShape(40.dp),
                modifier = Modifier.size(90.dp),
            ) {
                Text("9", fontSize = 20.sp, color = Color(0, 0, 0))
            }
        }
    }
}
