package com.example.myapplication.slide

import android.view.animation.OvershootInterpolator
import androidx.compose.animation.core.tween
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Brush
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.res.imageResource
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.myapplication.R
import kotlinx.coroutines.delay

@Composable
fun SplashScreen(navController: NavHostController){
    val scale = remember {
        androidx.compose.animation.core.Animatable(0f)
    }

    LaunchedEffect(key1 = true) {
        scale.animateTo(
            targetValue = 0.7f,
            animationSpec = tween(
                durationMillis = 800,
                easing = {
                    OvershootInterpolator(4f).getInterpolation(it)
                })
        )
        delay(1500L)
        navController.navigate("1")

    }

    Row(modifier = Modifier
        .fillMaxSize(1f)
        .background(
            Brush.linearGradient(
                colors = listOf(
                    Color(55, 64, 245),
                    Color(34, 84, 245),
                    Color(55, 64, 245),
                    Color(98, 105, 240),
                )
            ),

            )
    )
    {
            Text(
                text = "SmartLab", fontSize = 30.sp, color = Color(0xFFFFFFFF),
                modifier = Modifier.padding(start = 125.dp).align(Alignment.CenterVertically)
            )
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.plus),
                contentDescription = "плюс",
                modifier = Modifier
                    .padding(start = 10.dp).size(39.dp).align(Alignment.CenterVertically)
            )
        }
    }
